---
author: ~alexlehm
published: true
title: HostServ
description: intro to vHosts
category:
    - main
---

tilde.chat supports a HostServ service which allows choosing a hostname to display with your IRC user instead of the actual hostname or IP address from which you are connecting.

This may be used to improve privacy or may provide a nice name or a "team" identifier if multiple users use the same vHost.

A hostname is formatted similar to a FQDN, however there are some limitations and actual FQDNs are usually not used.

A hostname should not be an existing domain/hostname or use an existing TLD, also it should not match any of the Tilde domains.

When you actually own a domain you can use it as hostname.

To request a hostname, send a message to the user HostServ with the command

    /msg hostserv request the.hostname.you.want

To get a list of all possible commands you send

    /msg hostserv help

A request for a hostname is sent to an actual human moderator so that it will take some time to be checked and you will receive feedback when the hostname is approved but not when it is rejected.

When the hostname is approved it will be activated and you can turn it on and off with

    /msg hostserv on
    /msg hostserv off
    
To check if your hostname is working, you can query your own user with

    /whois username

or

    /msg nickserv info username

If you want your tilde name as hostname, HostServ should not be used, instead you can run weechat on the machine and connect to localhost or use a bouncer if your Tilde provides one.

